import { UmbLitElement } from '../../../../core/lit-element/index.js';
declare const UmbDataTypeDetailsWorkspacePropertyEditorPickerElement_base: import("../../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../../core/validation/index.js").UmbFormControlMixinElement<undefined>> & typeof UmbLitElement;
/**
 * @internal
 */
export declare class UmbDataTypeDetailsWorkspacePropertyEditorPickerElement extends UmbDataTypeDetailsWorkspacePropertyEditorPickerElement_base {
    #private;
    propertyEditorUiIcon?: string;
    propertyEditorUiName?: string;
    propertyEditorUiAlias?: string;
    propertyEditorSchemaAlias?: string;
    constructor();
    protected getFormElement(): undefined;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbDataTypeDetailsWorkspacePropertyEditorPickerElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-data-type-details-workspace-property-editor-picker': UmbDataTypeDetailsWorkspacePropertyEditorPickerElement;
    }
}
